Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Create a Revision

Request

Creates a revision of the Price List.


Required PermissionRoles with the Required Permission
PRICELIST_ADDAdminister Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The ID of the Price List you want to create a revision for. The id is the typedId without the suffix. For example, the id attribute of the item with typedId = 2147484837.PL is 2147484837.

Bodyapplication/json
dataobjectrequired
data.​priceListNamestringnon-emptyrequired

Specifies parameter names and values used for formula computation.

data.​targetDatestringnon-emptyrequired

Set the validity date of the price list.

data.​errorModestringnon-emptyrequired
data.​keepManualOverridesany

A flag to indicate if manual overrides should be preserved in the revision.

data.​useFilterany

Specifies whether the original product filter criteria (if still available/applicable) should be used.

data.​writeOnlyChangedItemsany

A flag to indicate if only items with price changes should be written to the revision.

data.​configurationobject
data.​overrideany

If set to true, adds products from products selection criteria to the price list and will override existing results if present. If set to false, adds products, but will not override results. If this value is null, then a revision of the entire Price List is triggered.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.add/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "priceListName": "PriceList01",
      "targetDate": "2021-11-10T14:46:08.508Z",
      "errorMode": "SKIP",
      "keepManualOverrides": true,
      "useFilter": true,
      "writeOnlyChangedItems": true,
      "configuration": {
        "shotgunModeEnabled": false,
        "notifyWhenFinished": "EMAIL",
        "plTypeTypeId": null,
        "preferencesSource": 2147490401,
        "sortKeys": null,
        "defaultFormulaOverride": "PriceList",
        "resultElementName": "ListPrice",
        "matrixFormulaName": null,
        "matrixElementName": null,
        "uomOverrideElementName": null,
        "currencyOverrideElementName": null,
        "elementNames": [
          "ListPrice"
        ],
        "hiddenElementNames": [],
        "formulaParameters": {}
      },
      "override": null
    }
  }'

Responses

Example response

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "<node>", "startRow": 0, "data": [], "endRow": 4, "totalRows": 4, "status": 0 } }

Calculate a Pricelist

Request

Calculates the Price List specified by id in the path parameter.


Required PermissionRoles with the Required Permission
PRICELIST_UPDATEAdminister Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The ID of the Price List you want to calculate. The id is the typedId without the suffix. For example, the id attribute of the item with typedId = 2147484837.PL is 2147484837.

Bodyapplication/json
dataobject(calculatePricelistRequest)
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.calculate/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "fullListRecalc": false
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-85cd8bf896-9x45v", "data": [], "status": 0 } }

Update a Pricelist Detail

Request

Updates the Price List Item (PLI) of the Pricelist specified by id in the path parameter.


Required PermissionRoles with the Required Permission
PRICELIST_UPDATEAdminister Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The ID of the Price List whose Item you want to update. The id is the typedId without the suffix. For example, the id attribute of the item with typedId = 2147484837.PL is 2147484837.

Bodyapplication/json
dataobjectrequired
data.​typedIdstringrequired
data.​commentsstring
data.​manualResultPricestring
oldValuesobject(PricelistItem)required

The type code is PLI.

oldValues.​typedIdstring
oldValues.​listLabelstring
oldValues.​resultPricenumber or null
oldValues.​priceChangePctnumber or null
oldValues.​attribute83string or null<= 70 characters
oldValues.​attribute82string or null<= 70 characters
oldValues.​attribute81string or null<= 70 characters
oldValues.​attribute80string or null<= 70 characters
oldValues.​attribute89string or null<= 70 characters
oldValues.​attribute88string or null<= 70 characters
oldValues.​skustring<= 255 characters
oldValues.​attribute87string or null<= 70 characters
oldValues.​attribute86string or null<= 70 characters
oldValues.​calculationResultsArray of objects
oldValues.​attribute85string or null<= 70 characters
oldValues.​attribute84string or null<= 70 characters
oldValues.​unitOfMeasurestring<= 255 characters
oldValues.​targetDatestring(date-time)
oldValues.​allowedOverridesstring<= 1300 characters
oldValues.​versioninteger
oldValues.​alertsstring or null
oldValues.​attribute9string or null<= 70 characters
oldValues.​attribute94string or null<= 70 characters
oldValues.​attribute8string or null<= 70 characters
oldValues.​attribute93string or null<= 70 characters
oldValues.​attribute92string or null<= 70 characters
oldValues.​attribute91string or null<= 70 characters
oldValues.​attribute5string<= 70 characters

any type or null

oldValues.​attribute90string or null<= 70 characters
oldValues.​attribute4string or null<= 70 characters
oldValues.​attribute7string or null<= 70 characters
oldValues.​attribute6string or null<= 70 characters
oldValues.​attribute1string or null<= 70 characters
oldValues.​attribute14string or null<= 70 characters
oldValues.​attribute13string or null<= 70 characters
oldValues.​attribute3string or null<= 70 characters
oldValues.​attribute12string or null<= 70 characters
oldValues.​attribute2string or null<= 70 characters
oldValues.​attribute11string or null<= 70 characters
oldValues.​attribute99string or null<= 70 characters
oldValues.​attribute10string or null<= 70 characters
oldValues.​attribute98string or null<= 70 characters
oldValues.​attribute97string or null<= 70 characters
oldValues.​attribute96string or null<= 70 characters
oldValues.​attribute95string or null<= 70 characters
oldValues.​updateDatestring(date)
oldValues.​itemExtensionsobject or null
oldValues.​attribute19string or null<= 70 characters
oldValues.​attribute18string or null<= 70 characters
oldValues.​attribute17string or null<= 70 characters
oldValues.​attribute16string or null<= 70 characters
oldValues.​attribute15string or null<= 70 characters
oldValues.​manualOverridesstring or null
oldValues.​attribute25string or null<= 70 characters
oldValues.​attribute24string or null<= 70 characters
oldValues.​currencystring<= 255 characters
oldValues.​attribute23string or null<= 70 characters
oldValues.​attribute22string or null<= 70 characters
oldValues.​attribute21string or null<= 70 characters
oldValues.​attribute20string or null<= 70 characters
oldValues.​createDatestring(date-time)
oldValues.​attribute29string or null<= 70 characters
oldValues.​attribute28string or null<= 70 characters
oldValues.​attribute27string or null<= 70 characters
oldValues.​attribute26string or null<= 70 characters
oldValues.​completeResultsAvailableboolean
oldValues.​attribute36string or null<= 70 characters
oldValues.​attribute35string or null<= 70 characters
oldValues.​attribute34string or null<= 70 characters
oldValues.​attribute33string or null<= 70 characters
oldValues.​attribute32string or null<= 70 characters
oldValues.​attribute31string or null<= 70 characters
oldValues.​attribute30string or null<= 70 characters
oldValues.​key2string or null
oldValues.​attribute39string or null<= 70 characters
oldValues.​lastUpdateDatestring(date-time)
oldValues.​attribute38string or null<= 70 characters
oldValues.​attribute37string or null<= 70 characters
oldValues.​attribute47string or null<= 70 characters
oldValues.​attribute46string or null<= 70 characters
oldValues.​attribute45string or null<= 70 characters
oldValues.​attribute44string or null<= 70 characters
oldValues.​attribute43string or null<= 70 characters
oldValues.​attribute42string or null<= 70 characters
oldValues.​attribute41string or null<= 70 characters
oldValues.​attribute40string or null<= 70 characters
oldValues.​priceChangenumber or null
oldValues.​updatedByinteger
oldValues.​attribute49string or null<= 70 characters
oldValues.​attribute48string or null<= 70 characters
oldValues.​attribute50string or null<= 70 characters
oldValues.​attribute100string or null<= 70 characters
oldValues.​calculatedResultPricenumber or null
oldValues.​attribute58string or null<= 70 characters
oldValues.​attribute57string or null<= 70 characters
oldValues.​attribute56string or null<= 70 characters
oldValues.​attribute55string or null<= 70 characters
oldValues.​attribute54string or null<= 70 characters
oldValues.​attribute53string or null<= 70 characters
oldValues.​attribute52string or null<= 70 characters
oldValues.​allCalculationResultsArray of objects
oldValues.​attribute51string or null<= 70 characters
oldValues.​attribute59string or null<= 70 characters
oldValues.​attribute61string or null<= 70 characters
oldValues.​attribute60string or null<= 70 characters
oldValues.​previousPricenumber or null
oldValues.​attribute69string or null<= 70 characters
oldValues.​attribute68string or null<= 70 characters
oldValues.​attribute67string or null<= 70 characters
oldValues.​attribute66string or null<= 70 characters
oldValues.​attribute65string or null<= 70 characters
oldValues.​attribute64string or null<= 70 characters
oldValues.​attribute63string or null<= 70 characters
oldValues.​attribute62string or null<= 70 characters
oldValues.​workStatusstring or null<= 15 characters
oldValues.​manualResultPricenumber or null
oldValues.​commentsstring<= 255 characters
oldValues.​pricelistIdinteger
oldValues.​warningsstring
oldValues.​approvalStateinteger
oldValues.​labelstring<= 255 characters
oldValues.​attribute72string or null<= 70 characters
oldValues.​attribute71string or null<= 70 characters
oldValues.​attribute70string or null<= 70 characters
oldValues.​createdByinteger
oldValues.​attribute79string or null<= 70 characters
oldValues.​attribute78string or null<= 70 characters
oldValues.​attribute77string or null<= 70 characters
oldValues.​attribute76string or null<= 70 characters
oldValues.​attribute75string or null<= 70 characters
oldValues.​attribute74string or null<= 70 characters
oldValues.​lastUpdateByinteger
oldValues.​attribute73string or null<= 70 characters
operationTypestring
textMatchStylestring
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.update/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "string",
      "comments": "string",
      "manualResultPrice": "string"
    },
    "oldValues": {
      "typedId": "string",
      "listLabel": "string",
      "resultPrice": 0,
      "priceChangePct": 0,
      "attribute83": "string",
      "attribute82": "string",
      "attribute81": "string",
      "attribute80": "string",
      "attribute89": "string",
      "attribute88": "string",
      "sku": "string",
      "attribute87": "string",
      "attribute86": "string",
      "calculationResults": [
        {
          "resultName": "string",
          "resultLabel": "string",
          "result": "string",
          "excludeFromExport": true,
          "warnings": [
            "string"
          ],
          "alertMessage": "string",
          "alertType": "CRITICAL",
          "displayOptions": 0,
          "formatType": "NUMERIC",
          "suffix": "string",
          "resultType": "string",
          "cssProperties": "string",
          "userGroup": "string",
          "resultGroup": "string",
          "overrideValueOptions": [
            "string"
          ],
          "overrideAllowEmpty": true,
          "labelTranslations": "string",
          "overridable": true,
          "overridden": true,
          "resultDescription": "string"
        }
      ],
      "attribute85": "string",
      "attribute84": "string",
      "unitOfMeasure": "string",
      "targetDate": "2019-08-24T14:15:22Z",
      "allowedOverrides": "string",
      "version": 0,
      "alerts": "string",
      "attribute9": "string",
      "attribute94": "string",
      "attribute8": "string",
      "attribute93": "string",
      "attribute92": "string",
      "attribute91": "string",
      "attribute5": "string",
      "attribute90": "string",
      "attribute4": "string",
      "attribute7": "string",
      "attribute6": "string",
      "attribute1": "string",
      "attribute14": "string",
      "attribute13": "string",
      "attribute3": "string",
      "attribute12": "string",
      "attribute2": "string",
      "attribute11": "string",
      "attribute99": "string",
      "attribute10": "string",
      "attribute98": "string",
      "attribute97": "string",
      "attribute96": "string",
      "attribute95": "string",
      "updateDate": "2019-08-24",
      "itemExtensions": {},
      "attribute19": "string",
      "attribute18": "string",
      "attribute17": "string",
      "attribute16": "string",
      "attribute15": "string",
      "manualOverrides": "string",
      "attribute25": "string",
      "attribute24": "string",
      "currency": "string",
      "attribute23": "string",
      "attribute22": "string",
      "attribute21": "string",
      "attribute20": "string",
      "createDate": "2019-08-24T14:15:22Z",
      "attribute29": "string",
      "attribute28": "string",
      "attribute27": "string",
      "attribute26": "string",
      "completeResultsAvailable": true,
      "attribute36": "string",
      "attribute35": "string",
      "attribute34": "string",
      "attribute33": "string",
      "attribute32": "string",
      "attribute31": "string",
      "attribute30": "string",
      "key2": "string",
      "attribute39": "string",
      "lastUpdateDate": "2019-08-24T14:15:22Z",
      "attribute38": "string",
      "attribute37": "string",
      "attribute47": "string",
      "attribute46": "string",
      "attribute45": "string",
      "attribute44": "string",
      "attribute43": "string",
      "attribute42": "string",
      "attribute41": "string",
      "attribute40": "string",
      "priceChange": 0,
      "updatedBy": 0,
      "attribute49": "string",
      "attribute48": "string",
      "attribute50": "string",
      "attribute100": "string",
      "calculatedResultPrice": 0,
      "attribute58": "string",
      "attribute57": "string",
      "attribute56": "string",
      "attribute55": "string",
      "attribute54": "string",
      "attribute53": "string",
      "attribute52": "string",
      "allCalculationResults": [
        {
          "property1": "string",
          "property2": "string"
        }
      ],
      "attribute51": "string",
      "attribute59": "string",
      "attribute61": "string",
      "attribute60": "string",
      "previousPrice": 0,
      "attribute69": "string",
      "attribute68": "string",
      "attribute67": "string",
      "attribute66": "string",
      "attribute65": "string",
      "attribute64": "string",
      "attribute63": "string",
      "attribute62": "string",
      "workStatus": "string",
      "manualResultPrice": 0,
      "comments": "string",
      "pricelistId": 0,
      "warnings": "string",
      "approvalState": 0,
      "label": "string",
      "attribute72": "string",
      "attribute71": "string",
      "attribute70": "string",
      "createdBy": 0,
      "attribute79": "string",
      "attribute78": "string",
      "attribute77": "string",
      "attribute76": "string",
      "attribute75": "string",
      "attribute74": "string",
      "lastUpdateBy": 0,
      "attribute73": "string"
    },
    "operationType": "string",
    "textMatchStyle": "string"
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-5fcf48565-lz98n", "data": [], "status": 0 } }

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas